﻿<div id="register-dom" class="app-zone">
    <div class="inner">
        <h3 class="app-zone-title form-title">Register</h3>
        <div class="login-error form-error" data-bind="if: error()">
            <span data-bind="text: error"></span>
        </div>
        <form id="form-register form-error" method="post" action="#/register" data-bind="with: RegisterModel">
            <div class="inner" data-bind="validationOptions: { insertMessages: false }">
                <div class="form-field">
                    <label>Account name:</label>
                    <input class="app-textbox" type="text" name="Username" data-bind="value: Username, valueUpdate: 'input'" />
                    <div class="validationMessage" data-bind="validationMessage: Username"></div>
                </div>
                <div class="form-field">
                    <label>Password:</label>
                    <input class="app-textbox" type="password" name="Password" data-bind="value: Password, valueUpdate: 'input'" />
                    <div class="validationMessage" data-bind="validationMessage: Password"></div>
                </div>
                <div class="form-field">
                    <label>Password confirmation:</label>
                    <input class="app-textbox" type="password" name="PasswordConfirm" data-bind="value: PasswordConfirm, valueUpdate: 'input'" />
                    <div class="validationMessage" data-bind="validationMessage: PasswordConfirm"></div>
                </div>
                <div class="form-field">
                    <label>Code:</label>
                    <input class="app-textbox" type="text" name="Code" data-bind="value: Code, valueUpdate: 'input'" />
                    <div class="validationMessage" data-bind="validationMessage: Code"></div>
                </div>
                <div class="form-field register-field">
                    <div class="inner">
                        <a class="app-simple-link font-small" href="#/instructions">back</a>
                        <input class="app-button no-border" type="submit" value="Register" data-bind="enable: isValid() && !$parent.loading(), click: $parent.submit"/>
                        <div class="loading-gif micro" style="display: none;"></div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>